user nginx;
worker_processes auto;

error_log /var/log/nginx/error.log notice;
pid /var/run/nginx.pid;

load_module /usr/lib64/nginx/modules/ngx_stream_module.so;

events {
    worker_connections 1024;
}


http {
    include /etc/nginx/mime.types;
    default_type application/octet-stream;

    log_format main '$remote_addr - $remote_user [$time_local] "$request" '
    '$status $body_bytes_sent "$http_referer" '
    '"$http_user_agent" "$http_x_forwarded_for"';

    access_log /var/log/nginx/access.log main;
    sendfile on;
    keepalive_timeout 65;

    {% if env['SSL_CONFIG'] == "MOZILLA_HIGH" %}
    include /etc/nginx/templates/mozilla_ssl_high.conf;
    {% elif env['SSL_CONFIG'] == "MOZILLA_INTERMEDIATE"%}
    include /etc/nginx/templates/mozilla_ssl_intermediate.conf;
    {% elif env['SSL_CONFIG'] == "DEVELOPMENT"%}
    include /etc/nginx/templates/development_ssl.conf;
    {% endif %}
    include /etc/nginx/http.d/*.conf;
}

stream {
    include /etc/nginx/stream.d/*.conf;
}
